# tbb::flow::interface6::broadcast_node< T > Class Template Reference

Forwards messages of type T to all successors. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::broadcast_node< T >:

List of all members.

## Public Types

typedef T | input_type
| The input type of this receiver.
typedef T | output_type
| The output type of this sender.
typedef sender< input_type > | predecessor_type
| The predecessor type for this node.
typedef receiver< output_type > | successor_type
| The successor type for this node.

## Public Member Functions

| broadcast_node (graph &g)
| broadcast_node (const broadcast_node &src)
virtual bool | register_successor (receiver< T > &r)
| Adds a successor.
virtual bool | remove_successor (receiver< T > &r)
| Removes s as a successor.

## Protected Member Functions

task * | try_put_task (const T &t)
| build a task to run the successor if possible. Default is old behavior.
void | reset ()
void | reset_receiver ()

## Friends

class | run_and_put_task
| put item to successor; return task to run the successor if possible.
class | internal::broadcast_cache
class | internal::round_robin_cache

## Detailed Description

### template<typename T>
class tbb::flow::interface6::broadcast_node< T >

Forwards messages of type T to all successors.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.